Home | News | Download | Packages | Forum | Wiki | Github

Can't compile wine


(Nikolay) #1

Error in configure: https://bpaste.net/show/4549121207a9
Why x64 wine not in repos?


#2

It’s in the lib32-repo. https://github.com/voidlinux/void-packages/blob/3fe511c027399119eb41a4376474d21b32548c3c/srcpkgs/wine/template#L16-L17

Wine lib64 is still pretty buggy: https://wiki.winehq.org/FAQ#Is_there_a_64_bit_Wine.3F

64-bit Wine runs only on 64 bit installations, and so far has only been extensively tested on Linux. It requires the installation of 32 bit libraries in order to run 32 bit Windows applications. Both 32-bit and 64-bit Windows applications (should) work with it; however, there are still many bugs.


(Nikolay) #3

I have x32 version but I need x64 wine to launch x64 windows game


#4

To try to run games on x64 wine probably isn’t the best idea. It won’t work anywhere as good as on Windows.


(Nikolay) #5

But GTA V under x64 wine is working fine


#6

Okay. Did you try this? Wine on Void


#7

It does. Tested with Guild Wars 2 and League of Legends both 64 bit versions. Almost native performance. I really cannot stand the arguments thrown against wine64 in this forum. It’s a leading edge distro… common… But that’s just me.

32bit is ancient by now and programs will start to drop support.


(Nikolay) #8

“Connection refused” when i download wine-makefile.txt


(Stefan Mühlinghaus) #9

Use the link in my second post. The instructions in the first post still apply.